Security Vulnerability in Internet Explorer

Dear Ross Community:

The entire Internet community is reacting to another wide-spread security vulnerability. This vulnerability affects the Internet Explorer web browser, which is the default web browser used by the Windows operating system.

Our official recommendation is to use an alternative web browser like Google Chrome or Mozilla Firefox until Microsoft releases a fix for Internet Explorer. Because certain U-M sites require the use of Internet Explorer, you may continue to use Internet Explorer for those trusted sites.

If you do not know what web browser you are currently using, you can find out by visiting www.whatbrowser.org.

As always, please contact the Ross Helpdesk if you have any questions or concerns. Timely updates can also be found on our Twitter, @UMRossIT.

Thank you,

Ross Technology